function plot_original_and_estimated_locations(T0, T, title_str)

% Inputs: T0, T - d x n - The n original and estimated locations in R^d
%         title_str - title for the plot
% 
% This function plots 
%   - the original locations as 2d red dots (The other dimensions are ignored)
%   - the estimated locations as blue circles
%     If the signal is recovered correctly, all red dots will be in the center of the blue circles

figure; hold on;
set(gca, 'FontSize', 12)
plot(T0(1,:), T0(2,:), 'r.');
plot(T(1,:), T(2,:), 'bo', 'MarkerSize', 10);
xlabel('First Component'); ylabel('Second Component');
legend('Original Locations', 'Estimated Locations by ShapeFit');
title(title_str);
end